/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { BaseElement } from '@material/mwc-base/base-element';
import { MDCTabIndicatorAdapter } from '@material/tab-indicator/adapter';
import MDCTabIndicatorFoundation from '@material/tab-indicator/foundation';
import MDCSlidingTabIndicatorFoundation from '@material/tab-indicator/sliding-foundation';
import { PropertyValues } from 'lit-element';
export declare class TabIndicatorBase extends BaseElement {
    protected mdcFoundation: MDCTabIndicatorFoundation;
    protected get mdcFoundationClass(): typeof MDCSlidingTabIndicatorFoundation;
    protected mdcRoot: HTMLElement;
    protected contentElement: HTMLElement;
    icon: string;
    fade: boolean;
    protected render(): import("lit-element").TemplateResult;
    protected updated(changedProperties: PropertyValues): void;
    protected createAdapter(): MDCTabIndicatorAdapter;
    computeContentClientRect(): ClientRect;
    activate(previousIndicatorClientRect?: ClientRect): void;
    deactivate(): void;
}
